/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu;

import java.awt.event.ActionEvent;
import java.net.MalformedURLException;
import java.net.URISyntaxException;

import javax.swing.AbstractAction;

import net.sf.genomeview.gui.StaticUtils;
import be.abeel.net.URIFactory;

/**
 * Opens a URL in a browser window.
 * 
 * @author Thomas Abeel
 * 
 */
public class OpenURLAction extends AbstractAction {

    /**
     * 
     */
    private static final long serialVersionUID = -5857826271738146666L;
    private String url;

    public OpenURLAction(String title, String url) {
        super(title);
        this.url=url;
    }

    @Override
    public void actionPerformed(ActionEvent arg0) {
    	try {
			StaticUtils.browse(URIFactory.uri(url));
		} catch (URISyntaxException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        

    }

}
